## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with testcoverage

# Only use poetry-core on Fedora and new EPEL releases because
# it is missing elsewhere. Fall back to using setuptools instead.
%if ! 0%{?rhel} || 0%{?epel} >= 10
%bcond_without poetry_core
%else
%bcond_with poetry_core
%endif

%global srcname rpmautospec_core
%global canonicalname rpmautospec-core

Name: python-%{canonicalname}
Version: 0.1.5
Release: %autorelease
Summary: Minimum functionality for rpmautospec

License: MIT
URL: https://github.com/fedora-infra/%{canonicalname}
Source0: %{pypi_source %{srcname}}
BuildArch: noarch
BuildRequires: python3-devel >= 3.6.0
# The dependencies needed for testing don’t get auto-generated.
BuildRequires: python3dist(pytest)
%if %{with testcoverage}
BuildRequires: python3dist(pytest-cov)
%endif
BuildRequires: sed

%global _description %{expand:
This package contains minimum functionality to determine if an RPM spec file
uses rpmautospec features.}

%description %_description

%package -n python3-%{canonicalname}
Summary: %{summary}
%if %{without pyproject_build}
%py_provides python3-%{canonicalname}
%endif

%description -n python3-%{canonicalname} %_description

%prep
%autosetup -n %{srcname}-%{version}
%if %{without poetry_core}
# by renaming the [build-system] section we fallback to setuptools (default per PEP 517)
# this only works because there is also a setup.py file in the sdist
test -f setup.py
sed -i 's/\[build-system\]/[ignore-this]/' pyproject.toml
%endif

%if %{without testcoverage}
cat << PYTESTINI > pytest.ini
[pytest]
addopts =
PYTESTINI
%endif

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}
%if %{with poetry_core}
# Work around poetry not listing license files as such in package metadata.
sed -i -e 's|^\(.*/LICENSE\)|%%license \1|g' %{pyproject_files}
%endif

%check
%pytest

%files -n python3-%{canonicalname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.1.5-4
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Nils Philippsen <nils@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.4-5
- Rebuilt for Python 3.13

* Mon Feb 12 2024 Nils Philippsen <nils@redhat.com> - 0.1.4-4
- Cope with undefined %%py_dist_name

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Nils Philippsen <nils@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Fri Jan 05 2024 Nils Philippsen <nils@redhat.com> - 0.1.3-1
- Update to 0.1.3

* Fri Dec 15 2023 Nils Philippsen <nils@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Sun Dec 03 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.1.1-8
- Always disable test coverage checks

* Fri Nov 17 2023 Nils Philippsen <nils@redhat.com> - 0.1.1-6
- Don’t generate build requires on EL <= 9

* Fri Nov 17 2023 Nils Philippsen <nils@redhat.com> - 0.1.1-5
- Build using setuptools on EL <= 9

* Fri Nov 17 2023 Nils Philippsen <nils@redhat.com> - 0.1.1-2
- Make it build on older EL releases

* Wed Nov 15 2023 Nils Philippsen <nils@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Tue Nov 14 2023 Nils Philippsen <nils@redhat.com> - 0.1.0-1
- Initial import
## END: Generated by rpmautospec
